package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 出货物流对象 t_product_logistics
 * 
 * @author zehong
 * @date 2024-08-30
 */
public class TProductLogistics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 执行编号 */
    private Long inspectId;

    @Excel(name = "批次号")
    private String batchNo;

    /** 快递公司 */
    @Excel(name = "快递公司")
    private String express;

    /** 快递员 */
    @Excel(name = "快递员")
    private String username;

    /** 快递员电话 */
    @Excel(name = "快递员电话")
    private String tel;

    /** 运单号 */
    @Excel(name = "运单号")
    private String expressNo;

    /** 发货照片 */
    @Excel(name = "发货照片")
    private String imgUrl;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInspectId(Long inspectId) 
    {
        this.inspectId = inspectId;
    }

    public Long getInspectId() 
    {
        return inspectId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public void setExpress(String express)
    {
        this.express = express;
    }

    public String getExpress() 
    {
        return express;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setExpressNo(String expressNo) 
    {
        this.expressNo = expressNo;
    }

    public String getExpressNo() 
    {
        return expressNo;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inspectId", getInspectId())
            .append("express", getExpress())
            .append("username", getUsername())
            .append("tel", getTel())
            .append("expressNo", getExpressNo())
            .append("imgUrl", getImgUrl())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
